﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using ModbusDemo;
using ModbusDemo.application;
namespace ModbusDemo.application
{
    public static class AllPond
    {
        private static ModualPool.pcTemperature cEastTransitPoolTemper = new ModualPool.pcTemperature("EastTransitPoolTemper", 27, "d0");
        private static ModualPool.pcLiquidlevel cEastTransitPoolLevel = new ModualPool.pcLiquidlevel("EastTransitPoolLevel", 13, "d0");
        private static ModualPool.pcOperation cEastTransitPoolSouthWaterBase = new ModualPool.pcOperation
        {
            byModbusID = 16,
            strOperationNumber = "d0",
            strChannelNumber = new string[] { "d0", "d1" },
            bOpenOperation = new bool[] { true, true },
            bCloseOperation = new bool[] { false, false },
            bHadRefControl = false,
            byResModbusID = 0,
            strResChannelNumber = null
        };
        private static ModualPool.pcMachine cEastTransitPoolSouthWater = new ModualPool.pcMachine("EastTransitPoolSouthWater", cEastTransitPoolSouthWaterBase);

        private static ModualPool.pcOperation cEastTransitPoolNorthWaterBase = new ModualPool.pcOperation
        {
            byModbusID = 16,
            strOperationNumber = "d2",
            strChannelNumber = new string[] { "d2", "d3" },
            bOpenOperation = new bool[] { true, true },
            bCloseOperation = new bool[] { false, false },
            bHadRefControl = false,
            byResModbusID = 0xFF,
            strResChannelNumber = null
        };
        private static ModualPool.pcMachine cEastTransitPoolNorthWater = new ModualPool.pcMachine("EastTransitPoolNorthWater", cEastTransitPoolNorthWaterBase);

        private static ModualPool.pcOperation cEastTransitPoolPumb1Base = new ModualPool.pcOperation
        {
            byModbusID = 39,
            strOperationNumber = "d0",
            strChannelNumber = new string[] { "d0", "d1" },
            bOpenOperation = new bool[] { true, true },
            bCloseOperation = new bool[] { false, false },
            bHadRefControl = false,
            byResModbusID = 0,
            strResChannelNumber = null
        };
        private static ModualPool.pcMachine cEastTransitPoolPumb1 = new ModualPool.pcMachine("EastTransitPoolPumb_1", cEastTransitPoolPumb1Base);

        private static ModualPool.pcOperation cEastTransitPoolPumb2Base = new ModualPool.pcOperation
        {
            byModbusID = 39,
            strOperationNumber = "d2",
            strChannelNumber = new string[] { "d2", "d3" },
            bOpenOperation = new bool[] { true, true },
            bCloseOperation = new bool[] { false, true },
            bHadRefControl = false,
            byResModbusID = 0,
            strResChannelNumber = null
        };
        private static ModualPool.pcMachine cEastTransitPoolPumb2 = new ModualPool.pcMachine("EastTransitPoolPumb_2", cEastTransitPoolPumb2Base);

        private static ModualPool.pcOperation cEastTransitPoolStirrer1Base = new ModualPool.pcOperation
        {
            byModbusID = 90,
            strOperationNumber = "d0",
            strChannelNumber = new string[] { "d0" },
            bOpenOperation = new bool[] { true },
            bCloseOperation = new bool[] { false },
            bHadRefControl = true,
            byResModbusID = 13,
            strResChannelNumber = "d0"
        };
        private static ModualPool.pcMachine cEastTransitPoolStirrer1 = new ModualPool.pcMachine("EastTransitPoolStirrer_1", cEastTransitPoolStirrer1Base);

        private static ModualPool.pcOperation cEastTransitPoolStirrer2Base = new ModualPool.pcOperation
        {
            byModbusID = 90,
            strOperationNumber = "d1",
            strChannelNumber = new string[] {  "d1" },
            bOpenOperation = new bool[] { true },
            bCloseOperation = new bool[] { false },
            bHadRefControl = false,
            byResModbusID = 0xFF,
            strResChannelNumber = "d0"
        };
        private static ModualPool.pcMachine cEastTransitPoolStirrer2 = new ModualPool.pcMachine("EastTransitPoolStirrer_2", cEastTransitPoolStirrer2Base);


        private static ModualPool.pcOperation cEastTransitPoolStirrer3Base = new ModualPool.pcOperation
        {
            byModbusID = 90,
            strOperationNumber = "d2",
            strChannelNumber = new string[] { "d2" },
            bOpenOperation = new bool[] { true },
            bCloseOperation = new bool[] { false },
            bHadRefControl = false,
            byResModbusID = 0xFF,
            strResChannelNumber = null
        };
        private static ModualPool.pcMachine cEastTransitPoolStirrer3 = new ModualPool.pcMachine("EastTransitPoolStirrer_3", cEastTransitPoolStirrer3Base);

        private static ModualPool.pcOperation cEastTransitPoolStirrer4Base = new ModualPool.pcOperation
        {
            byModbusID = 90,
            strOperationNumber = "d3",
            strChannelNumber = new string[] { "d3" },
            bOpenOperation = new bool[] { true },
            bCloseOperation = new bool[] { false },
            bHadRefControl = false,
            byResModbusID = 0xFF,
            strResChannelNumber = null
        };
        private static ModualPool.pcMachine cEastTransitPoolStirrer4 = new ModualPool.pcMachine("EastTransitPoolStirrer_4", cEastTransitPoolStirrer4Base);

        private static ModualPool.pcButtonOperation cEastTransitPoolButton1Base = new ModualPool.pcButtonOperation
        {
            byModbusID = 16,
            strOperationNumber = "d0",
            strChannelNumber = new string[] { "d0", "d1" },
            bOpenOperation = new bool[] { true, true },
            bCloseOperation = new bool[] { false, false }
        };
        private static ModualPool.pcButton cEastTransitPoolButton1 = new ModualPool.pcButton("EastTransitPoolButton1", cEastTransitPoolButton1Base);

        public static List<ModualPool.pcMachine> EastTransitPoolList = new List<ModualPool.pcMachine>(new ModualPool.pcMachine[] { cEastTransitPoolSouthWater, cEastTransitPoolNorthWater, cEastTransitPoolPumb1, cEastTransitPoolPumb2, cEastTransitPoolStirrer1, cEastTransitPoolStirrer2, cEastTransitPoolStirrer3, cEastTransitPoolStirrer4 });

        public static class cEastTransitPool
        {
            public static double vSetMaxLevel;
            public static double vSetMinLevel;
            public static ModualPool.pcTemperature cTemper { get => cEastTransitPoolTemper; set => cEastTransitPoolTemper = value; }
            public static ModualPool.pcLiquidlevel cLevel { get => cEastTransitPoolLevel; set => cEastTransitPoolLevel = value; }
            public static ModualPool.pcMachine cSouthWater { get => cEastTransitPoolSouthWater; set => cEastTransitPoolSouthWater = value; }
            public static ModualPool.pcMachine cNorthWater { get => cEastTransitPoolNorthWater; set => cEastTransitPoolNorthWater = value; }
            public static ModualPool.pcMachine cPumb1 { get => cEastTransitPoolPumb1; set => cEastTransitPoolPumb1 = value; }
            public static ModualPool.pcMachine cPumb2 { get => cEastTransitPoolPumb2; set => cEastTransitPoolPumb2 = value; }
            public static ModualPool.pcMachine cStirrer1 { get => cEastTransitPoolStirrer1; set => cEastTransitPoolStirrer1 = value; }
            public static ModualPool.pcMachine cStirrer2 { get => cEastTransitPoolStirrer2; set => cEastTransitPoolStirrer2 = value; }
            public static ModualPool.pcMachine cStirrer3 { get => cEastTransitPoolStirrer3; set => cEastTransitPoolStirrer3 = value; }
            public static ModualPool.pcMachine cStirrer4 { get => cEastTransitPoolStirrer4; set => cEastTransitPoolStirrer4 = value; }
            public static ModualPool.pcButton cButton1 { get => cEastTransitPoolButton1; set => cEastTransitPoolButton1 = value; }

        }


        private static ModualPool.pcTemperature cWestTransitPoolTemper = new ModualPool.pcTemperature("WestTransitPoolTemper", 27, "d0");
        private static ModualPool.pcLiquidlevel cWestTransitPoolLevel = new ModualPool.pcLiquidlevel("WestTransitPoolLevel", 13, "d0");
        private static ModualPool.pcOperation cWestTransitPoolSouthWaterBase = new ModualPool.pcOperation
        {
            byModbusID = 35,
            strOperationNumber = "d0",
            strChannelNumber = new string[] { "d0", "d1" },
            bOpenOperation = new bool[] { true, true },
            bCloseOperation = new bool[] { false, false },
            bHadRefControl = false,
            byResModbusID = 0,
            strResChannelNumber = null
        };
        private static ModualPool.pcMachine cWestTransitPoolSouthWater = new ModualPool.pcMachine("WestTransitPoolSouthWater", cWestTransitPoolSouthWaterBase);

        private static ModualPool.pcOperation cWestTransitPoolNorthWaterBase = new ModualPool.pcOperation
        {
            byModbusID = 35,
            strOperationNumber = "d2",
            strChannelNumber = new string[] { "d2", "d3" },
            bOpenOperation = new bool[] { true, true },
            bCloseOperation = new bool[] { false, false },
            bHadRefControl = false,
            byResModbusID = 0xFF,
            strResChannelNumber = null
        };
        private static ModualPool.pcMachine cWestTransitPoolNorthWater = new ModualPool.pcMachine("WestTransitPoolNorthWater", cWestTransitPoolNorthWaterBase);

        private static ModualPool.pcOperation cWestTransitPoolPumb1Base = new ModualPool.pcOperation
        {
            byModbusID = 31,
            strOperationNumber = "d2",
            strChannelNumber = new string[] { "d2", "d3" },
            bOpenOperation = new bool[] { true, true },
            bCloseOperation = new bool[] { false, false },
            bHadRefControl = false,
            byResModbusID = 0,
            strResChannelNumber = null
        };
        private static ModualPool.pcMachine cWestTransitPoolPumb1 = new ModualPool.pcMachine("WestTransitPoolPumb_1", cWestTransitPoolPumb1Base);

        private static ModualPool.pcOperation cWestTransitPoolPumb2Base = new ModualPool.pcOperation
        {
            byModbusID = 39,
            strOperationNumber = "d2",
            strChannelNumber = new string[] { "d2", "d3" },
            bOpenOperation = new bool[] { true, true },
            bCloseOperation = new bool[] { false, true },
            bHadRefControl = false,
            byResModbusID = 0,
            strResChannelNumber = null
        };
        private static ModualPool.pcMachine cWestTransitPoolPumb2 = new ModualPool.pcMachine("WestTransitPoolPumb_2", cWestTransitPoolPumb2Base);

        private static ModualPool.pcOperation cWestTransitPoolStirrer1Base = new ModualPool.pcOperation
        {
            byModbusID = 31,
            strOperationNumber = "d4",
            strChannelNumber = new string[] { "d4","d5" },
            bOpenOperation = new bool[] { true,true },
            bCloseOperation = new bool[] { false,false },
            bHadRefControl = false,
            byResModbusID = 0xFF,
            strResChannelNumber = null
        };
        private static ModualPool.pcMachine cWestTransitPoolStirrer1 = new ModualPool.pcMachine("WestTransitPoolStirrer_1", cWestTransitPoolStirrer1Base);

        private static ModualPool.pcOperation cWestTransitPoolStirrer2Base = new ModualPool.pcOperation
        {
            byModbusID = 90,
            strOperationNumber = "d1",
            strChannelNumber = new string[] {  "d1" },
            bOpenOperation = new bool[] { true },
            bCloseOperation = new bool[] { false },
            bHadRefControl = false,
            byResModbusID = 0xFF,
            strResChannelNumber = "d0"
        };
        private static ModualPool.pcMachine cWestTransitPoolStirrer2 = new ModualPool.pcMachine("WestTransitPoolStirrer_2", cWestTransitPoolStirrer2Base);


        private static ModualPool.pcOperation cWestTransitPoolStirrer3Base = new ModualPool.pcOperation
        {
            byModbusID = 90,
            strOperationNumber = "d2",
            strChannelNumber = new string[] { "d2" },
            bOpenOperation = new bool[] { true },
            bCloseOperation = new bool[] { false },
            bHadRefControl = false,
            byResModbusID = 0xFF,
            strResChannelNumber = null
        };
        private static ModualPool.pcMachine cWestTransitPoolStirrer3 = new ModualPool.pcMachine("WestTransitPoolStirrer_3", cWestTransitPoolStirrer3Base);

        private static ModualPool.pcOperation cWestTransitPoolStirrer4Base = new ModualPool.pcOperation
        {
            byModbusID = 90,
            strOperationNumber = "d3",
            strChannelNumber = new string[] { "d3" },
            bOpenOperation = new bool[] { true },
            bCloseOperation = new bool[] { false },
            bHadRefControl = false,
            byResModbusID = 0xFF,
            strResChannelNumber = null
        };
        private static ModualPool.pcMachine cWestTransitPoolStirrer4 = new ModualPool.pcMachine("WestTransitPoolStirrer_4", cWestTransitPoolStirrer4Base);
        public static class pcWestTransitPool
        {
            
             public static double vSetMaxLevel;
            public static double vSetMinLevel;
            public static ModualPool.pcTemperature cTemper { get => cWestTransitPoolTemper; set => cWestTransitPoolTemper = value; }
            public static ModualPool.pcLiquidlevel cLevel { get => cWestTransitPoolLevel; set => cWestTransitPoolLevel = value; }
            public static ModualPool.pcMachine cSouthWater { get => cWestTransitPoolSouthWater; set => cWestTransitPoolSouthWater = value; }
            public static ModualPool.pcMachine cNorthWater { get => cWestTransitPoolNorthWater; set => cWestTransitPoolNorthWater = value; }
            public static ModualPool.pcMachine cPumb1 { get => cWestTransitPoolPumb1; set => cWestTransitPoolPumb1 = value; }
            public static ModualPool.pcMachine cPumb2 { get => cWestTransitPoolPumb2; set => cWestTransitPoolPumb2 = value; }
            public static ModualPool.pcMachine cStirrer1 { get => cWestTransitPoolStirrer1; set => cWestTransitPoolStirrer1 = value; }
            public static ModualPool.pcMachine cStirrer2 { get => cWestTransitPoolStirrer2; set => cWestTransitPoolStirrer2 = value; }
            public static ModualPool.pcMachine cStirrer3 { get => cWestTransitPoolStirrer3; set => cWestTransitPoolStirrer3 = value; }
            public static ModualPool.pcMachine cStirrer4 { get => cWestTransitPoolStirrer4; set => cWestTransitPoolStirrer4 = value; }
           
            
        }
         

    }
}
